Package org.apache.sysds.runtime.controlprogram.federated.monitoring.services

# Class WorkerService

java.lang.Object
org.apache.sysds.runtime.controlprogram.federated.monitoring.services.WorkerService

public class WorkerService extends Object

## Constructor Summary

Constructors
Constructor
Description
`WorkerService()`

## Method Summary

Modifier and Type
Method
Description
`Long`
`create(WorkerModel model)`
`WorkerModel`
`get(Long id)`
`List<WorkerModel>`
`getAll()`
`Boolean`
`getWorkerOnlineStatus(Long workerId)`
`void`
`remove(Long id)`
`static void`
`syncWorkerStatisticsWithDB(StatisticsModel stats, Long id)`
`void`
`update(WorkerModel model)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WorkerService

public WorkerService()

## Method Details

### create

public Long create(WorkerModel model)

### update

public void update(WorkerModel model)

### remove

public void remove(Long id)

### get

public WorkerModel get(Long id)

### getAll

public List<WorkerModel> getAll()

### getWorkerOnlineStatus

public Boolean getWorkerOnlineStatus(Long workerId)

### syncWorkerStatisticsWithDB

public static void syncWorkerStatisticsWithDB(StatisticsModel stats, Long id)